Loading...
Searching...
No Matches
Opm::ColumnSchema Class Reference

## Public Member Functions

| ColumnSchema (const std::string &name, Table::ColumnOrderEnum order, Table::DefaultAction defaultAction)
| ColumnSchema (const std::string &name, Table::ColumnOrderEnum order, double defaultValue)
const std::string & | name () const
std::string | orderSchema () const
bool | validOrder (double value1, double value2) const
bool | lookupValid () const
bool | acceptsDefault () const
bool | isIncreasing () const
bool | isDecreasing () const
Table::DefaultAction | getDefaultMode () const
double | getDefaultValue () const
bool | operator== (const ColumnSchema &data) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static ColumnSchema | serializationTestObject ()

The documentation for this class was generated from the following files:

- opm/input/eclipse/EclipseState/Tables/ColumnSchema.hpp
- opm/input/eclipse/EclipseState/Tables/ColumnSchema.cpp